Bug 66709 - rcp slow from HP-UX 10.2 to RedHat 7.2
rcp slow from HP-UX 10.2 to RedHat 7.2
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-06-13 17:58 EDT by Need Real Name
Modified: 2014-08-31 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 14:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-13 17:58:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; AT&T CSM6.0; H010818)

Description of problem:
When a file is transferred using rcp from HP-UX 10.2 to RedHat 7.2, there is a 
31 second delay in xinetd as viewed in /var/log/secure and /var/log/messages.  
There is no delay from HP-UX 10.2 to RedHat 6.2 or from RedHat 6.2 to RedHat 7.2

Version-Release number of selected component (if applicable): 7.2

How reproducible:

Steps to Reproduce:
1. rcp -p filename www4:/home/green

Actual Results:  Even with a 1 line file, there was a 31 second delay and then 
the file was transferred.  Causes problems when many files are transferred.

Expected Results:  No delay for 1 line file.  Same time to transfer a file 
between different servers.

Additional info:

The following is from /var/log/secure and /var/log/messages

Authorization or security mismatch problem.

rcp from hpb: one line file sent in 30 seconds
Jun 7 10:50:00 www4 xinetd[701]: START: shell pid=5474 from=
Jun 7 10:50:30 www4 pam_rhosts_auth[5474]: allowed to green@linksys as green
Jun 7 10:50:30 www4 rsh(pam_unix)[5474]: session opened for user green by(uid=0)

rcp from www1: one line file sent in 0 seconds
Jun 7 11:05:01 www4 xinetd[701]: START: shell pid=5579 from=
Jun 7 11:05:01 www4 pam_rhosts_auth[5479]: allowed to green@www1 as green
Jun 7 11:05:01 www4 rsh(pam_unix)[5479]: session opened for user green by(uid=0)
Comment 1 Trond Eivind Glomsrxd 2002-06-14 18:44:41 EDT
Sounds like a local configuration issue, most likely related to a timeout for
identd... check to see if you have logging onf that on in your configuration files.
Comment 2 Bill Nottingham 2006-10-18 14:25:07 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.